Skip to main content
GET
Get connections of a single vendor

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Connection ID

retailer_pk
number
required

Retailer ID

Response

200 - application/json

OK

brand
object
required
connection_credentials
object[]
required
id
integer
read-only

Retailer connection ID

Example:

1050

level
enum<string>

Retailer connection type

Available options:
basic,
full
Example:

"basic"

status
enum<string>

Retailer connection status

Available options:
active,
suspended,
pending,
onboarding
Example:

"active"

suspended_at
string<date-time> | null

Time of when the retailer connection got suspended (UTC format)

Example:

null

created_at
string<date-time>
read-only

Time of retailer connection creation (UTC format)

Example:

"2021-09-10T15:24:56Z"

updated_at
string<date-time>
read-only

Time of retailer connection update (UTC format)

Example:

"2022-11-10T15:24:56Z"

shipping_accounts
object[]
read-only
connection_contacts
object[]
read-only
connection_fees
object
connection_slas
object
connection_adjustments
object[]
read-only
options
object
approved_items_count
integer
read-only

Count of approved items

Example:

2

orders_last_7_days_count
integer
read-only

Count of orders in the last 7 days

Example:

8

proposals_received_last_7_days_count
integer
read-only

Count of proposals received in the last 7 days

Example:

8

metadata
string
read-only

Additional information, if any

attachments
object[]
read-only
memos
object[]
read-only
referral
object
packing_slip_template
string | null

Template of the packing slip

Maximum string length: 64
integration_type
enum<string> | null

Integration type

Available options:
console,
edi,
api,
storefront,
console-print-labels,
console-register-tracking-numbers,
shopify,
bigcommerce,
shipstation
Example:

"API"

retailer_identifier
string | null

Retailer identifier

Maximum string length: 32
Example:

"Retailer 877"

onboarding_status
enum<string> | null

Status of retailer onboarding

Available options:
pending,
complete
Example:

"Completed"

onboarding_target_date
string<date-time> | null

Target date for retailer onboarding (UTC format)

Example:

"2021-09-10T15:24:56Z"

onboarded_at
string<date-time> | null

Time of retailer onboarding (UTC format)

Example:

"2021-09-10T15:24:56Z"